@Banjamin
Изучаю веб разработку

В чем причина ошибки npm?

Добрый день. При установке jwt на ноду через npm вылезает такая ошибка. Остальные модули встают нормально. Не подскажите в чем проблема?

> node-base64@0.0.1 install C:\Users\hotme\Documents\HTML\JS\auth\node_modules\node-base64
> ./install.sh

"." не является внутренней или внешней
командой, исполняемой программой или пакетным файлом.
npm WARN auth@1.0.0 No description
npm WARN auth@1.0.0 No repository field.

npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! node-base64@0.0.1 install: `./install.sh`
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the node-base64@0.0.1 install script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in:
npm ERR!     C:\Users\hotme\AppData\Roaming\npm-cache\_logs\2019-08-30T08_28_19_027Z-debug.log
  • Вопрос задан
  • 66 просмотров
Решения вопроса 1
Machinez
@Machinez
проблема в самом пакете jwt-node который ты используешь, он не установится на винде и заброшен автором уже как 8 лет
https://github.com/mattrobenolt/jwt-node/issues/2
выход - искать более актуальный пакет
Ответ написан
Пригласить эксперта
Ответы на вопрос 1
@Banjamin Автор вопроса
Изучаю веб разработку
блин, ну ведь правда же. Вот бывает же, вечером чувствуешь, что начинаешь что то в жизни понимать, а с утра копируешь чужое не думая, и буксуешь, почесывая затылок)))
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы